org.apache.xalan.templates

## Class ElemLiteralResult.Attribute

- java.lang.Object
- - org.apache.xalan.templates.ElemLiteralResult.Attribute

- All Implemented Interfaces:
    org.w3c.dom.Attr, org.w3c.dom.Node
  Enclosing class:
    ElemLiteralResult

      public class ElemLiteralResult.Attribute
      extends java.lang.Object
      implements org.w3c.dom.Attr

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute(AVT avt, org.w3c.dom.Element elem)` Construct a Attr.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)`
    `org.w3c.dom.Node` | `cloneNode(boolean deep)`
    `short` | `compareDocumentPosition(org.w3c.dom.Node other)`
    `org.w3c.dom.NamedNodeMap` | `getAttributes()`
    `java.lang.String` | `getBaseURI()`
    `org.w3c.dom.NodeList` | `getChildNodes()`
    `java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)`
    `org.w3c.dom.Node` | `getFirstChild()`
    `org.w3c.dom.Node` | `getLastChild()`
    `java.lang.String` | `getLocalName()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNamespaceURI()`
    `org.w3c.dom.Node` | `getNextSibling()`
    `java.lang.String` | `getNodeName()`
    `short` | `getNodeType()`
    `java.lang.String` | `getNodeValue()`
    `org.w3c.dom.Document` | `getOwnerDocument()`
    `org.w3c.dom.Element` | `getOwnerElement()`
    `org.w3c.dom.Node` | `getParentNode()`
    `java.lang.String` | `getPrefix()`
    `org.w3c.dom.Node` | `getPreviousSibling()`
    `org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()`
    `boolean` | `getSpecified()`
    `java.lang.String` | `getTextContent()`
    `java.lang.Object` | `getUserData(java.lang.String key)`
    `java.lang.String` | `getValue()`
    `boolean` | `hasAttributes()`
    `boolean` | `hasChildNodes()`
    `org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
    `boolean` | `isDefaultNamespace(java.lang.String namespaceURI)`
    `boolean` | `isEqualNode(org.w3c.dom.Node arg)`
    `boolean` | `isId()`
    `boolean` | `isSameNode(org.w3c.dom.Node other)`
    `boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
    `java.lang.String` | `lookupNamespaceURI(java.lang.String specifiedPrefix)`
    `java.lang.String` | `lookupPrefix(java.lang.String namespaceURI)`
    `void` | `normalize()`
    `org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)`
    `org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
    `void` | `setNodeValue(java.lang.String nodeValue)`
    `void` | `setPrefix(java.lang.String prefix)`
    `void` | `setTextContent(java.lang.String textContent)`
    `java.lang.Object` | `setUserData(java.lang.String key, java.lang.Object data, org.w3c.dom.UserDataHandler handler)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute(AVT avt,
                           org.w3c.dom.Element elem)

      Construct a Attr.

  - ### Method Detail

    - #### appendChild

          public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                       throws org.w3c.dom.DOMException

      Specified by:
        `appendChild` in interface `org.w3c.dom.Node`
      Parameters:
        `newChild` - New node to append to the list of this node's children
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### cloneNode

          public org.w3c.dom.Node cloneNode(boolean deep)

      Specified by:
        `cloneNode` in interface `org.w3c.dom.Node`
      Parameters:
        `deep` - Flag indicating whether to clone deep (clone member variables)
      Returns:
        Returns a duplicate of this node
      See Also:
        `Node`

    - #### getAttributes

          public org.w3c.dom.NamedNodeMap getAttributes()

      Specified by:
        `getAttributes` in interface `org.w3c.dom.Node`
      Returns:
        null
      See Also:
        `Node`

    - #### getChildNodes

          public org.w3c.dom.NodeList getChildNodes()

      Specified by:
        `getChildNodes` in interface `org.w3c.dom.Node`
      Returns:
        a NodeList containing no nodes.
      See Also:
        `Node`

    - #### getFirstChild

          public org.w3c.dom.Node getFirstChild()

      Specified by:
        `getFirstChild` in interface `org.w3c.dom.Node`
      Returns:
        null
      See Also:
        `Node`

    - #### getLastChild

          public org.w3c.dom.Node getLastChild()

      Specified by:
        `getLastChild` in interface `org.w3c.dom.Node`
      Returns:
        null
      See Also:
        `Node`

    - #### getLocalName

          public java.lang.String getLocalName()

      Specified by:
        `getLocalName` in interface `org.w3c.dom.Node`
      Returns:
        the local part of the qualified name of this node
      See Also:
        `Node`

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `org.w3c.dom.Node`
      Returns:
        The namespace URI of this node, or null if it is unspecified
      See Also:
        `Node`

    - #### getNextSibling

          public org.w3c.dom.Node getNextSibling()

      Specified by:
        `getNextSibling` in interface `org.w3c.dom.Node`
      Returns:
        null
      See Also:
        `Node`

    - #### getNodeName

          public java.lang.String getNodeName()

      Specified by:
        `getNodeName` in interface `org.w3c.dom.Node`
      Returns:
        The name of the attribute
      See Also:
        `Node`

    - #### getNodeType

          public short getNodeType()

      Specified by:
        `getNodeType` in interface `org.w3c.dom.Node`
      Returns:
        The node is an Attr
      See Also:
        `Node`

    - #### getNodeValue

          public java.lang.String getNodeValue()
                                        throws org.w3c.dom.DOMException

      Specified by:
        `getNodeValue` in interface `org.w3c.dom.Node`
      Returns:
        The value of the attribute
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### getOwnerDocument

          public org.w3c.dom.Document getOwnerDocument()

      Specified by:
        `getOwnerDocument` in interface `org.w3c.dom.Node`
      Returns:
        null
      See Also:
        `Node`

    - #### getParentNode

          public org.w3c.dom.Node getParentNode()

      Specified by:
        `getParentNode` in interface `org.w3c.dom.Node`
      Returns:
        the containing element node
      See Also:
        `Node`

    - #### getPrefix

          public java.lang.String getPrefix()

      Specified by:
        `getPrefix` in interface `org.w3c.dom.Node`
      Returns:
        The namespace prefix of this node, or null if it is unspecified
      See Also:
        `Node`

    - #### getPreviousSibling

          public org.w3c.dom.Node getPreviousSibling()

      Specified by:
        `getPreviousSibling` in interface `org.w3c.dom.Node`
      Returns:
        null
      See Also:
        `Node`

    - #### hasAttributes

          public boolean hasAttributes()

      Specified by:
        `hasAttributes` in interface `org.w3c.dom.Node`
      Returns:
        false
      See Also:
        `Node`

    - #### hasChildNodes

          public boolean hasChildNodes()

      Specified by:
        `hasChildNodes` in interface `org.w3c.dom.Node`
      Returns:
        false
      See Also:
        `Node`

    - #### insertBefore

          public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                               org.w3c.dom.Node refChild)
                                        throws org.w3c.dom.DOMException

      Specified by:
        `insertBefore` in interface `org.w3c.dom.Node`
      Parameters:
        `newChild` - New child node to insert
        `refChild` - Insert in front of this child
      Returns:
        null
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### isSupported

          public boolean isSupported(java.lang.String feature,
                                     java.lang.String version)

      Specified by:
        `isSupported` in interface `org.w3c.dom.Node`
      Returns:
        Returns `false`
      Since:
        DOM Level 2
      See Also:
        `Node`

    - #### normalize

          public void normalize()

      Specified by:
        `normalize` in interface `org.w3c.dom.Node`
      See Also:
        `Node`

    - #### removeChild

          public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                       throws org.w3c.dom.DOMException

      Specified by:
        `removeChild` in interface `org.w3c.dom.Node`
      Parameters:
        `oldChild` - Child to be removed
      Returns:
        null
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### replaceChild

          public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                               org.w3c.dom.Node oldChild)
                                        throws org.w3c.dom.DOMException

      Specified by:
        `replaceChild` in interface `org.w3c.dom.Node`
      Parameters:
        `newChild` - Replace existing child with this one
        `oldChild` - Existing child to be replaced
      Returns:
        null
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### setNodeValue

          public void setNodeValue(java.lang.String nodeValue)
                            throws org.w3c.dom.DOMException

      Specified by:
        `setNodeValue` in interface `org.w3c.dom.Node`
      Parameters:
        `nodeValue` - Value to set this node to
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)
                         throws org.w3c.dom.DOMException

      Specified by:
        `setPrefix` in interface `org.w3c.dom.Node`
      Parameters:
        `prefix` - Prefix to set for this node
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Node`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.w3c.dom.Attr`
      Returns:
        The name of this attribute

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `org.w3c.dom.Attr`
      Returns:
        The value of this attribute returned as string

    - #### getOwnerElement

          public org.w3c.dom.Element getOwnerElement()

      Specified by:
        `getOwnerElement` in interface `org.w3c.dom.Attr`
      Returns:
        The Element node this attribute is attached to or null if this attribute is not in use

    - #### getSpecified

          public boolean getSpecified()

      Specified by:
        `getSpecified` in interface `org.w3c.dom.Attr`
      Returns:
        true

    - #### setValue

          public void setValue(java.lang.String value)
                        throws org.w3c.dom.DOMException

      Specified by:
        `setValue` in interface `org.w3c.dom.Attr`
      Parameters:
        `value` - Value to set this node to
      Throws:
        `org.w3c.dom.DOMException`
      See Also:
        `Attr`

    - #### getSchemaTypeInfo

          public org.w3c.dom.TypeInfo getSchemaTypeInfo()

      Specified by:
        `getSchemaTypeInfo` in interface `org.w3c.dom.Attr`

    - #### isId

          public boolean isId()

      Specified by:
        `isId` in interface `org.w3c.dom.Attr`

    - #### setUserData

          public java.lang.Object setUserData(java.lang.String key,
                                              java.lang.Object data,
                                              org.w3c.dom.UserDataHandler handler)

      Specified by:
        `setUserData` in interface `org.w3c.dom.Node`

    - #### getUserData

          public java.lang.Object getUserData(java.lang.String key)

      Specified by:
        `getUserData` in interface `org.w3c.dom.Node`

    - #### getFeature

          public java.lang.Object getFeature(java.lang.String feature,
                                             java.lang.String version)

      Specified by:
        `getFeature` in interface `org.w3c.dom.Node`

    - #### isEqualNode

          public boolean isEqualNode(org.w3c.dom.Node arg)

      Specified by:
        `isEqualNode` in interface `org.w3c.dom.Node`

    - #### lookupNamespaceURI

          public java.lang.String lookupNamespaceURI(java.lang.String specifiedPrefix)

      Specified by:
        `lookupNamespaceURI` in interface `org.w3c.dom.Node`

    - #### isDefaultNamespace

          public boolean isDefaultNamespace(java.lang.String namespaceURI)

      Specified by:
        `isDefaultNamespace` in interface `org.w3c.dom.Node`

    - #### lookupPrefix

          public java.lang.String lookupPrefix(java.lang.String namespaceURI)

      Specified by:
        `lookupPrefix` in interface `org.w3c.dom.Node`

    - #### isSameNode

          public boolean isSameNode(org.w3c.dom.Node other)

      Specified by:
        `isSameNode` in interface `org.w3c.dom.Node`

    - #### setTextContent

          public void setTextContent(java.lang.String textContent)
                              throws org.w3c.dom.DOMException

      Specified by:
        `setTextContent` in interface `org.w3c.dom.Node`
      Throws:
        `org.w3c.dom.DOMException`

    - #### getTextContent

          public java.lang.String getTextContent()
                                          throws org.w3c.dom.DOMException

      Specified by:
        `getTextContent` in interface `org.w3c.dom.Node`
      Throws:
        `org.w3c.dom.DOMException`

    - #### compareDocumentPosition

          public short compareDocumentPosition(org.w3c.dom.Node other)
                                        throws org.w3c.dom.DOMException

      Specified by:
        `compareDocumentPosition` in interface `org.w3c.dom.Node`
      Throws:
        `org.w3c.dom.DOMException`

    - #### getBaseURI

          public java.lang.String getBaseURI()

      Specified by:
        `getBaseURI` in interface `org.w3c.dom.Node`

Copyright © 2023 Apache XML Project. All Rights Reserved.